Introduction
This document provides detailed usage instructions, request/response examples, property references, and explanations for
all endpoints.
Endpoints
You can use our
๐ฎ POSTMAN COLLECTION
to test.
Flow
The steps required to successfully interact with the API are as follows.
1- Search Flights
- Use the /api/search-flights endpoint to retrieve available flights.
- The response will include lists of outboundFlights and inboundFlights.
- Each flight option includes an
offerId. You will need this for the get price detail step.
- Flight options can include a
groupKey. If it is selected, it must be the same for outbound and inbound.
2- Get Price Detail
- Use /api/price-detail to validate the price and availability of selected flight options.
- You must select the
applicablePriceId and the offerIds for both outbound and inbound (optional).
- You must select the
applicableGroupKey if it exists and it must be the same for outbound and inbound.
3- Make a Ticket
- Use /api/make-ticket to finalize the booking and issue the ticket.
- applicablePriceId: This comes from the validated price response in the previous step.
- applicableOutboundOfferId and applicableInboundOfferId: Use selected
offerIds for both directions (if
applicable).
- The response will return a bookingNumber (PNR) and ticket status (
Ticketed or otherwise).

Search Flights
- POST
/api/search
- Header Content-Type
application/json
- Header parAgenturID
*****
- Header parKey
*****
REQUEST
โ ๏ธ Note: Service Execution Information: Service timeout should be a minimum 17 seconds.
๐ Open Full JSON Example
{
"origin": "String",
"destination": "String",
"originType": "LocationType",
"destinationType": "LocationType",
"departureDate": "LocalDate",
"returnDate": "LocalDate",
"adultCount": "Number",
"childCount": "Number",
"infantCount": "Number",
"bestPrice": "Boolean",
"includePersonPrice": "Boolean",
"includeSinglePersonPrice": "Boolean",
"includeBrandDetails": "Boolean",
"cabinTypes": "List<CabinType>"
}
| Name |
Type |
Description |
| origin |
String |
IATA code or identifier of the departure location |
| destination |
String |
IATA code or identifier of the arrival location |
| originType |
LocationType AIRPORT, CITY |
Type of the departure location. |
| destinationType |
LocationType AIRPORT, CITY |
Type of the arrival location. |
| departureDate |
LocalDate YYYY-MM-DD |
Outbound flight date in ISO local date format. |
| returnDate |
LocalDate YYYY-MM-DD |
Return flight date in ISO local date format, if applicable. |
| adultCount |
Number 12+ |
Number of adult passengers (typically 12 years and older). |
| childCount |
Number 2-12 |
Number of child passengers (typically ages 2โ11). |
| infantCount |
Number 0-2 |
Number of infant passengers (under 2 years old, generally without a separate seat). |
| bestPrice |
Boolean |
It will offer the lowest price for the selected flight. (default: false) |
| includePersonPrice |
Boolean |
Returns detailed person price information in response. (default: false) |
| includeSinglePersonPrice |
Boolean |
Returns single person price for each passenger type. (default: false) |
| includeBrandDetails |
Boolean |
Returns brand details for offers in response. (default: false) |
| cabinTypes |
List of CabinType ECONOMY, PREMIUM_ECONOMY, BUSINESS, FIRST_CLASS |
Types of the cabins. |
๐ Response Type Features
โ ๏ธ Note: The response size will increase depending on the activated response type features.
| Parameter |
Effect |
| bestPrice |
It will offer the lowest price for the selected flight. |
| includePersonPrice |
Returns detailed person price information in response |
| includeSinglePersonPrice |
Returns single person price for each passenger type |
| includeBrandDetails |
Returns brand details for offers in response |
RESPONSE
๐ Open Full JSON Example
{
"requestId": "String",
"outboundFlights": "List<FlightModel>",
"inboundFlights": "List<FlightModel>"
}
| Name |
Type |
Description |
| requestId |
String |
It is used in the process for log tracking and required when reporting errors. |
| outboundFlights |
List of FlightModel |
List of available outbound flights matching the search criteria. |
| inboundFlights |
List of FlightModel |
List of available inbound flights matching the search criteria. |
Flight Routes
- GET
/api/flight-routes
- Header Content-Type
application/json
- Header parAgenturID
*****
- Header parKey
*****
RESPONSE
๐ Open Full JSON Example
{
"requestId": "String",
"responseDateTime": "LocalDateTime",
"routes": "List<RouteModel>"
}
| Name |
Type |
Description |
| requestId |
String |
It is used in the process for log tracking and required when reporting errors. |
| responseDateTime |
LocalDateTime YYYY-MM-DDTHH:MM:SS |
Date of the response. |
| routes |
List of RouteModel |
List of available routes for the provider. |
Get Price Detail
- POST
/api/price-detail
- Header Content-Type
application/json
- Header parAgenturID
*****
- Header parKey
*****
REQUEST
โ ๏ธ Note: Service Execution Information: Service timeout should be a minimum 300 seconds.
๐ Open Full JSON Example
{
"outboundOfferId": "String",
"inboundOfferId": "String",
"priceDetailBehaviorType": "PriceDetailBehaviorType",
"includeSinglePersonPrice": "Boolean"
}
| Name |
Type |
Description |
| outboundOfferId |
String |
The identifier of the selected outbound flight offer. |
| inboundOfferId |
String |
The identifier of the selected inbound flight offer. |
| priceDetailBehaviorType |
PriceDetailBehaviorType ALL, FARE_MATCH, STRICT_MATCH |
Default value is STRICT_MATCH. Check PriceDetailBehaviorType for details. |
| includeSinglePersonPrice |
Boolean |
Returns single person price for each passenger type. |
PriceDetailBehaviorType
โ ๏ธ Note: If segmentChange: true, please check the segmentScheduleChanges list.
| Parameter |
Effect |
| ALL |
All available offers are listed under "outboundFlight.offers" or "inboundFlight.offers". If there are no offers, system will receive an error. If there is an offer matching your criteria (FareClass, FareBasis, and Brand), selectedOutboundOffer or selectedInboundOffer will be filled. If SelectedOffer(s) is empty, there are no offers matching your criteria. You should choose from other offers within Flight(s).
priceChanged: true โ The price has changed from the original search. Fare rules, baggage policies, and other conditions may also have changed. priceChanged: false โ The price matches the original search request (based on FareClass, FareBasis, and Brand only). Note that baggage allowances, total price, and flight times may still differ.
selectedOffer: true โ This is the originally requested offer (matched on FareClass, FareBasis, and Brand only). Baggage allowances, total price, and flight times may still differ. selectedOffer: false โ This is not the originally requested offer. |
| FARE_MATCH |
This feature evaluates FareClass, FareBasis, and Brand only โ flight times, baggage allowances, and total prices are not assessed.
Only the requested option(s) for the requested flight(s) are returned. If no match is found for the specified FareClass, FareBasis, and Brand, an error will be returned. Note that baggage allowances, total price, and flight times are not validated by this feature. |
| STRICT_MATCH |
This feature performs a full validation covering FareClass, FareBasis, Brand, Baggage Allowance, Flight Times, and Total Price.
Only the requested option(s) for the requested flight(s) are returned. If the requested flight does not match on any of these criteria, an error will be returned. |
RESPONSE
๐ Open Full JSON Example
{
"applicablePriceId": "String",
"segmentChange": "Boolean",
"selectedOutboundOffer": "PricedOfferModel",
"selectedInboundOffer": "PricedOfferModel",
"outboundFlight": "PricedFlightModel",
"inboundFlight": "PricedFlightModel",
"passengerRequirements": "List<PassengerRequirementModel>",
"segmentScheduleChanges": "List<SegmentScheduleChangeModel>"
}
| Name |
Type |
Description |
| applicablePriceId |
String |
The identifier of the applicable price for the booking. |
| segmentChange |
Boolean |
Are there any flight schedule change. SegmentScheduleChangeModel |
| selectedOutboundOffer |
PricedOfferModel |
The priced outbound flight offer selected. |
| selectedInboundOffer |
PricedOfferModel |
The priced inbound flight offer selected. |
| outboundFlight |
PricedFlightModel |
The detailed pricing information for the outbound flight. |
| inboundFlight |
PricedFlightModel |
The detailed pricing information for the inbound flight. |
| passengerRequirements |
List of PassengerRequirementModel |
A list of requirements of passengers. |
| segmentScheduleChanges |
List of SegmentScheduleChangeModel |
List of segment schedule changes. |
Make Ticket
- POST
/api/make-ticket
- Header Content-Type
application/json
- Header parAgenturID
*****
- Header parKey
*****
REQUEST
โ ๏ธ Note: Service Execution Information: Service timeout should be a minimum 300 seconds.
๐ Open Full JSON Example
{
"applicablePriceId": "String",
"applicableOutboundOfferId": "String",
"applicableInboundOfferId": "String",
"contact": "ContactInformationModel",
"acceptPendingBookings": "Boolean",
"passengers": "List<PassengerModel>",
"formOfPayment": "FormOfPayment"
}
| Name |
Type |
Description |
| applicablePriceId |
String |
The identifier of the applicable price for the ticket. It refers to the applicablePriceId from price detail request. |
| applicableOutboundOfferId |
String |
The identifier of the selected outbound offer. It refers to the offerId selected from price detail request. |
| applicableInboundOfferId |
String |
The identifier of the selected inbound offer. It refers to the offerId selected from price detail request. |
| contact |
ContactInformationModel |
Contact information for the booking. |
| acceptPendingBookings |
Boolean |
Whether to accept pending bookings if immediate confirmation is not available. |
| passengers |
List of PassengerModel |
List of passengers included in the ticket request. |
| formOfPayment |
FormOfPayment |
Form of payment. For CREDIT not mandatory, you can send null. |
RESPONSE
๐ Open Full JSON Example
{
"bookingNumber": "String",
"status": "ReservationStatusType",
"currencyCode": "String",
"totalAmount": "Number",
"outboundFlight": "BookingFlightModel",
"inboundFlight": "BookingFlightModel",
"passengers": "List<SaleReportItemModel>"
}
| Name |
Type |
Description |
| bookingNumber |
String |
The unique booking number for the ticket (It is the PNR No). |
| status |
ReservationStatusType NEW_CREATED, PENDING, RESERVED, TICKETED, VOID, CANCEL, REFUND, ERROR, EXCHANGED |
The current reservation status of the booking. |
| currencyCode |
String USD, EUR, etc. |
The currency code for all monetary amounts in the booking. |
| totalAmount |
DecimalNumber |
The total amount for the booking. |
| outboundFlight |
BookingFlightModel |
Details of the outbound flight included in the booking. |
| inboundFlight |
BookingFlightModel |
Details of the inbound flight included in the booking. |
| passengers |
List of SaleReportItemModel |
A list of passenger |
Get Booking Detail
- GET
/api/booking-detail/{bookingNumber}
- Header Content-Type
application/json
- Header parAgenturID
*****
- Header parKey
*****
REQUEST
โ ๏ธ Note: Service Execution Information: Service timeout should be a minimum 17 seconds.
| Name |
Type |
Description |
| bookingNumber |
String |
The unique identifier of the booking to retrieve details for. |
RESPONSE
๐ Open Full JSON Example
{
"bookingNumber": "String",
"status": "ReservationStatusType",
"currencyCode": "String",
"totalAmount": "Number",
"outboundFlight": "BookingFlightModel",
"inboundFlight": "BookingFlightModel",
"passengers": "List<PassengerModel>"
}
| Name |
Type |
Description |
| bookingNumber |
String |
The unique identifier of the booking. |
| status |
ReservationStatusType NEW_CREATED, PENDING, RESERVED, TICKETED, VOID, CANCEL, REFUND, ERROR, EXCHANGED |
Current status of the booking |
| currencyCode |
String USD, EUR, etc. |
Currency code used for the booking total. |
| totalAmount |
DecimalNumber |
Total monetary amount of the booking. |
| outboundFlight |
BookingFlightModel |
Details of the outbound flight associated with the booking. |
| inboundFlight |
BookingFlightModel |
Details of the inbound flight associated with the booking. |
| passengers |
List of PassengerModel |
Passengers list of associated with the booking. |
Get Sale Report
- POST
/api/sale-report
- Header Content-Type
application/json
- Header parAgenturID
*****
- Header parKey
*****
REQUEST
โ ๏ธ Note: Service Execution Information: Service timeout should be a minimum 300 seconds.
๐ Open Full JSON Example
{
"startDate": "LocalDate",
"endDate": "LocalDate"
}
| Name |
Type |
Description |
| startDate |
LocalDate YYYY-MM-DD |
The start date for the sales report period. |
| endDate |
LocalDate YYYY-MM-DD |
The end date for the sales report period. |
RESPONSE
๐ Open Full JSON Example
{
"startDate": "LocalDate",
"endDate": "LocalDate",
"items": "List<SaleReportItemModel>"
}
| Name |
Type |
Description |
| startDate |
LocalDate YYYY-MM-DD |
The start date of the sales report. |
| endDate |
LocalDate YYYY-MM-DD |
The end date of the sales report. |
| items |
List of SaleReportItemModel |
A list of individual sales report items within the given period. |
Calculate Cancel
- GET
/api/calculate-cancel/{bookingNumber}
- Header Content-Type
application/json
- Header parAgenturID
*****
- Header parKey
*****
REQUEST
โ ๏ธ Note: Service Execution Information: Service timeout should be a minimum 300 seconds.
| Name |
Type |
Description |
| bookingNumber |
String |
The booking number for which the cancellation calculation is requested. |
RESPONSE
๐ Open Full JSON Example
{
"bookingNumber": "String",
"status": "CancelStatusType",
"currencyCode": "String",
"totalRefundAmount": "Number",
"expireOn": "LocalDateTime"
}
| Name |
Type |
Description |
| bookingNumber |
String |
The booking number associated with the cancellation. |
| status |
CancelStatusType ERROR, CANCEL, VOID, REFUND, NON_REFUNDABLE |
The current status of the cancellation request. |
| currencyCode |
String USD, EUR, etc. |
The currency code used for the refund calculation. |
| totalRefundAmount |
DecimalNumber |
The total amount eligible for refund. |
| expireOn |
LocalDateTime YYYY-MM-DDTHH:MM:SS |
The expiration date and time for the cancellation validity. |
Commit Cancel
- POST
/api/commit-cancel/{bookingNumber}
- Header Content-Type
application/json
- Header parAgenturID
*****
- Header parKey
*****
REQUEST
โ ๏ธ Note: Service Execution Information: Service timeout should be a minimum 300 seconds.
| Name |
Type |
Description |
| bookingNumber |
String |
The booking number for which the cancellation is being confirmed. |
RESPONSE
Identical to Calculate Cancel Response.
Ancillary Search
- GET
/api/ancillary-search/{bookingNumber}
- Header Content-Type
application/json
- Header parAgenturID
*****
- Header parKey
*****
REQUEST
โ ๏ธ Note: Service Execution Information: Service timeout should be a minimum 300 seconds.
| Name |
Type |
Description |
| bookingNumber |
String |
The booking number for which the cancellation calculation is requested. |
RESPONSE
๐ Open Full JSON Example
{
"bookingNumber": "String",
"passengers": "List<PassengerModel>",
"airlineOffers": "List<AirlineAncillaryModel>"
}
| Name |
Type |
Description |
| bookingNumber |
String |
The booking number associated with the cancellation. |
| passengers |
List of PassengerModel |
Passengers list of associated with the ancillary offers. |
| airlineOffers |
List of AirlineAncillaryModel |
Ancillary list of airline with the booking. |
Ancillary Ticket
- POST
/api/ancillary-ticket/{bookingNumber}
- Header Content-Type
application/json
- Header parAgenturID
*****
- Header parKey
*****
REQUEST
โ ๏ธ Note: Service Execution Information: Service timeout should be a minimum 300 seconds.
| Name |
Type |
Description |
| bookingNumber |
String |
The booking number for which the cancellation calculation is requested. |
| formOfPayment |
FormOfPayment |
Form of payment. For CREDIT not mandatory, you can send null. |
| ancillaryRequestList |
List of AncillaryPassengerRequestModel |
Ancillary request list of passenger. |
RESPONSE
Identical to Get Booking Detail Response.
Agency Balance
- GET
/api/agency-balance
- Header Content-Type
application/json
- Header parAgenturID
*****
- Header parKey
*****
REQUEST
โ ๏ธ Note: Service Execution Information: Service timeout should be a minimum 17 seconds.
RESPONSE
๐ Open Full JSON Example
{
"responseDateTime": "LocalDateTime",
"requestId": "String",
"accounts": "List<AgencyBalanceModel>"
}
| Name |
Type |
Description |
| accounts |
List of AgencyBalanceModel |
Agency balance list of active accounts. |
Model References
AncillaryPassengerRequestModel
๐ Open Full JSON Example
{
"passengerId": "String",
"ancillaryOfferIds": "List<String>"
}
| Name |
Type |
Description |
| passengerId |
String |
Passenger Id. |
| ancillaryOfferIds |
List of String |
List of selected ancillary offerIds. |
AgencyBalanceModel
๐ Open Full JSON Example
{
"name": "String",
"number": "String",
"currencyCode": "String",
"availableBalance": "DecimalNumber"
}
| Name |
Type |
Description |
| name |
String |
Agency name. |
| number |
String |
Agency number. |
| currencyCode |
String |
Currency code. |
| availableBalance |
Decimal |
Available balance. |
AirlineAncillaryModel
๐ Open Full JSON Example
{
"flights": "List<AncillaryFlightModel>",
"providerId": "Number",
"providerType": "ProviderType",
"reservationInfo": "ReservationInfoModel"
}
| Name |
Type |
Description |
| flights |
List of AncillaryFlightModel |
Ancillary list of flights. |
| providerId |
Number |
Identifier of the service provider. |
| providerType |
ProviderType DIRECT, GDS, DIRECT_NDC, CHARTER |
Type of the provider. |
| reservationInfo |
ReservationInfoModel |
Additional reservation details related to the booked flight. |
AncillaryFlightModel
๐ Open Full JSON Example
{
"segments": "List<FlightSegmentModel>",
"segmentNumber": "Number",
"directions": "List<DirectionType>",
"ancillaryOffers": "List<AncillaryOfferModel>"
}
| Name |
Type |
Description |
| segments |
List of FlightSegmentModel |
List of individual flight segments that make up the journey. |
| segmentNumber |
Number |
Identifier of the service provider. |
| directions |
List of DirectionType OUTBOUND, INBOUND |
Flight direction to which the ticket belongs. |
| ancillaryOffers |
List of AncillaryOfferModel |
Defines the ancillalies of the offer. |
๐ Open Full JSON Example
{
"name": "String",
"surname": "String",
"languagePreference": "String",
"phone": "PhoneContactModel",
"email": "String"
}
| Name |
Type |
Description |
| name |
String |
First name of the contact person. |
| surname |
String |
Last name of the contact person. |
| languagePreference |
String |
Preferred language for communication. |
| phone |
PhoneContactModel |
Phone details of the contact person. |
| email |
String |
Email address of the contact person. |
๐ Open Full JSON Example
{
"countryCode": "Number",
"areaCode": "String",
"phoneNumber": "String"
}
| Name |
Type |
Description |
| countryCode |
Number |
International dialing code of the phone number. |
| areaCode |
String |
Area or operator code (depends on the country). |
| phoneNumber |
String |
The subscriberโs actual phone number. |
PassengerModel
๐ Open Full JSON Example
{
"passengerId": "String",
"name": "String",
"surname": "String",
"birthDate": "LocalDate",
"gender": "GenderType",
"identityNumber": "String",
"passportInfo": "PassportInfo",
"passengerType": "PassengerType",
"tickets": "List<ETicketModel>",
"ancillaries": "List<PassengerAncillaryDetailModel>",
"ancillaryRequests": "List<String>"
}
| Name |
Type |
Description |
| passengerId |
String |
Passenger id of the booking. |
| name |
String |
Area or operator code (depends on the country). |
| surname |
String |
The subscriberโs actual phone number. |
| birthDate |
LocalDate YYYY-MM-DD |
Birth date of the passenger. |
| gender |
GenderType FEMALE, MALE, CHILD, INFANT |
Gender of the passenger. |
| identityNumber |
String |
Identity number of the passenger. |
| passportInfo |
PassportInfo |
Passport info of the passenger. |
| passengerType |
PassengerType ADULT, CHILD, INFANT |
The passenger type. |
| tickets |
List of ETicketModel |
List of tickets of the passenger. |
| ancillaries |
List of PassengerAncillaryDetailModel |
List of ancillaries of the passenger. Not use the ticket request. |
| ancillaryRequests |
List of String |
Ancillary request of the passenger. Selected OfferId of ancillary. |
PassengerAncillaryDetailModel
๐ Open Full JSON Example
{
"segmentId": "String",
"type": "AncillaryType",
"ssr": "SsrModel",
"currencyCode": "String",
"amount": "Decimal"
}
| Name |
Type |
Description |
| segmentId |
String |
Segment reference. |
| type |
AncillaryType UNKNOWN, CHECKED_BAGGAGE, CABIN_BAGGAGE, SEAT_ASSIGNMENT, SEAT_SELECTION, MEAL_OR_BEVERAGE, WHEEL_CHAIR, TRAVEL_SERVICES |
Type of the ancillary. |
| ssr |
SsrModel |
Ssr information of ancillary. |
| currencyCode |
String |
Currency. |
| amount |
Decimal |
Total amount of the ancillary. |
๐ Open Full JSON Example
{
"formOfPaymentType": "FormOfPaymentType",
"creditCard": "CreditCard"
}
| Name |
Type |
Description |
| formOfPaymentType |
FormOfPaymentType CREDIT, CREDIT_CARD |
Form of payment type. |
| creditCard |
CreditCard |
Credit card information for form of payment. |
CreditCard
๐ Open Full JSON Example
{
"holderName": "String",
"holderSurname": "String",
"expireMonth": "Number",
"expireYear": "Number",
"cardNumber": "String",
"cvc": "String",
"brandType": "BrandType"
}
| Name |
Type |
Description |
| holderName |
String |
Credit card holder name. |
| holderSurname |
String |
Credit card holder surname. |
| expireMonth |
Integer |
Credit card expire month. 1, 12 |
| expireYear |
Integer |
Credit card expire year. "yyyy"->2040. |
| cardNumber |
String |
Credit card number. |
| cvc |
String |
Credit card securtiy code. |
| brandType |
BrandType MASTERCARD, VISA |
Credit card brand type. |
PassportInfo
๐ Open Full JSON Example
{
"number": "String",
"expireDate": "LocalDate",
"issueCountry": "String"
}
| Name |
Type |
Description |
| number |
String |
Passport number exactly as shown on the passport. |
| expireDate |
LocalDate YYYY-MM-DD |
Expiration date of the passport in ISO format (YYYY-MM-DD). |
| issueCountry |
String |
Country code (ISO 3166-1 alpha-2 or alpha-3) of the country that issued it. |
ETicketModel
๐ Open Full JSON Example
{
"carrierCode": "String",
"eticketNumber": "String",
"directions": "List<DirectionType>",
"segmentIds": "List<String>",
"airlinePnr": "String",
"type": "List<TicketType>",
"status": "List<TicketStatusType>"
}
| Name |
Type |
Description |
| carrierCode |
String |
Code of the airline carrier that issued the e-ticket (e.g., TK for Turkish Airlines). |
| eticketNumber |
String |
Unique electronic ticket number assigned by the airline for the passengerโs booking. |
| directions |
List of DirectionType OUTBOUND, INBOUND |
Flight direction to which the ticket belongs. |
| segmentIds |
List of String |
flight segment is to which the ticket belongs. |
| airlinePnr |
String |
Airline reservation code (PNR) for this segment. |
| type |
List of TicketType TICKET, EMD |
Ticket type. |
| status |
List of TicketStatusType OPEN, AIRPORT, CHECK_IN, LIFTED, FLOWN, VOID, REFUND, EXCHANGE, WAIT_LIST, SUSPEND |
Ticket status. |
FlightModel
๐ Open Full JSON Example
{
"direction": "DirectionType",
"segments": "List<FlightSegmentModel>",
"offers": "List<FlightOfferModel>",
"totalJourneyDuration": "Duration",
"totalJourneyDurationInMinutes": "Integer"
}
| Name |
Type |
Description |
| direction |
DirectionType OUTBOUND, INBOUND |
Indicates whether the flight is outbound or inbound. |
| segments |
List of FlightSegmentModel |
List of individual flight segments that make up the journey. |
| offers |
List of FlightOfferModel |
List of available offers or pricing options for this flight. |
| totalJourneyDuration |
Duration |
Total flight time. |
| totalJourneyDurationInMinutes |
Duration |
Total flight time in minutes. |
FlightSegmentModel
๐ Open Full JSON Example
{
"segmentId": "String",
"airlinePnr": "String",
"departure": "AirportModel",
"arrival": "AirportModel",
"marketingAirline": "AirlineModel",
"operatingAirline": "AirlineModel",
"duration": "Duration",
"connectionTime": "Duration",
"durationInMinutes": "Integer",
"connectionTimeInMinutes": "Integer"
}
| Name |
Type |
Description |
| segmentId |
String |
Unique identifier for the flight segment. |
| airlinePnr |
String |
Airline reservation code (PNR) for this segment. |
| departure |
AirportModel |
Departure airport information. |
| arrival |
AirportModel |
Arrival airport information. |
| marketingAirline |
AirlineModel |
Airline responsible for marketing the flight. |
| operatingAirline |
AirlineModel |
Airline actually operating the flight. |
| duration |
Duration |
Total flight time. |
| connectionTime |
Duration |
Total connection time (waiting time). |
| durationInMinutes |
Duration |
Total flight time in minutes. |
| connectionTimeInMinutes |
Duration |
Total connection time (waiting time) in minutes. |
AirportModel
๐ Open Full JSON Example
{
"code": "String",
"name": "String",
"date": "LocalDateTime",
"terminal": "String",
"cityCode": "String",
"cityName": "String",
"countryCode": "String",
"countryName": "String"
}
| Name |
Type |
Description |
| code |
String |
Airport IATA or ICAO code. |
| name |
String |
Full name of the airport. |
| date |
LocalDateTime YYYY-MM-DDTHH:MM:SS |
Date and time associated with the arrival or departure. |
| terminal |
String |
Terminal code. |
| cityCode |
String |
City IATA code. |
| cityName |
String |
City name. |
| countryCode |
String |
Country IATA code. |
| countryName |
String |
Country name. |
AirlineModel
๐ Open Full JSON Example
{
"code": "String",
"flightNumber": "String",
"name": "String"
}
| Name |
Type |
Description |
| code |
String |
Airline code (IATA or ICAO). |
| flightNumber |
String |
Flight number assigned by the airline. |
| name |
String |
Full name of the airline. |
FlightOfferModel
๐ Open Full JSON Example
{
"offerId": "String",
"groupKey": "String",
"totalPrice": "PriceInfoModel",
"personTotalPrices": "List<PersonTypePriceInfoModel>",
"freeSeat": "Number",
"providerId": "Number",
"providerType": "ProviderType",
"packagePrice": "Boolean",
"priceChanged": "Boolean",
"selectedOffer": "Boolean",
"checkedBaggageInfo": "BaggageInfoModel",
"handBaggageInfo": "BaggageInfoModel",
"classCode": "String",
"fareBasis": "String",
"brandName": "String",
"cabinType": "CabinType",
"brandInfo": "BrandInfoModel",
"personPrices": "List<PersonPriceModel>",
"singlePersonPrices": "List<PersonPriceModel>"
}
| Name |
Type |
Description |
| offerId |
String |
Unique identifier of the offer. |
| groupKey |
String |
Key used to group related offers. |
| totalPrice |
PriceInfoModel |
Total price information for the offer. |
| personTotalPrices |
List of PersonTypePriceInfoModel |
Total price information for the each person type. |
| freeSeat |
Number |
Number of free seats available. |
| providerId |
Number |
Identifier of the service provider. |
| providerType |
ProviderType DIRECT, GDS, DIRECT_NDC, CHARTER |
Type of the provider. |
| packagePrice |
Boolean |
Indicates if the offer is a package price. |
| priceChanged |
Boolean |
Indicates if the price of the offer has changed. |
| selectedOffer |
Boolean |
Indicates if the offer is currently selected. |
| checkedBaggageInfo |
BaggageInfoModel |
Checked baggage allowance and details. (For Single Adult) |
| handBaggageInfo |
BaggageInfoModel |
Hand baggage allowance and details. (For Single Adult) |
| classCode |
String |
Class code of the flight. (For Single Adult) |
| fareBasis |
String |
Fare basis code of the ticket. (For Single Adult) |
| brandName |
String |
Name of the brand associated with the fare. (For Single Adult) |
| cabinType |
CabinType ECONOMY, PREMIUM_ECONOMY, BUSINESS, FIRST_CLASS |
Type of the cabin. |
| brandInfo |
BrandInfoModel |
Detailed brand information. |
| personPrices |
List of PersonPriceModel |
Price details per passenger type. |
| singlePersonPrices |
List of PersonPriceModel |
Price details per individual passenger. |
PriceInfoModel
๐ Open Full JSON Example
{
"currencyCode": "String",
"basePrice": "Number",
"feePrice": "Number",
"taxPrice": "Number",
"totalPrice": "Number"
}
| Name |
Type |
Description |
| currencyCode |
String USD, EUR, etc. |
Currency code of the price. |
| basePrice |
DecimalNumber |
Base price of the flight before taxes and fees. |
| feePrice |
DecimalNumber |
Total fee amount applied to the flight. |
| taxPrice |
DecimalNumber |
Total tax amount applied to the flight. |
| totalPrice |
DecimalNumber |
Final total price including base, fees, and taxes. |
PersonTypePriceInfoModel
๐ Open Full JSON Example
{
"currencyCode": "String",
"totalPrice": "Number",
"type": "PassengerType",
"count": "Number"
}
| Name |
Type |
Description |
| currencyCode |
String USD, EUR, etc. |
Currency code of the price. |
| totalPrice |
DecimalNumber |
Final total price including base, fees, and taxes. |
| type |
PassengerType ADULT, CHILD, INFANT |
The passenger type. |
| count |
Number |
Number of passengers of this type included in the pricing. |
BaggageInfoModel
๐ Open Full JSON Example
{
"unit": "BaggageUnitType",
"weight": "Number"
}
| Name |
Type |
Description |
| unit |
BaggageUnitType KILOGRAM, PIECE |
Measurement unit for baggage allowance |
| weight |
Number |
Allowed baggage weight or number of pieces, depending on the selected unit. |
BrandInfoModel
๐ Open Full JSON Example
{
"name": "String",
"services": "List<BrandServiceInfoModel>"
}
| Name |
Type |
Description |
| name |
String Economy Light, Business Flex, etc. |
Name of the brand or fare family. |
| services |
List of BrandServiceInfoModel |
List of services included or available with this brand (e.g., meals, bags). |
BrandServiceInfoModel
๐ Open Full JSON Example
{
"name": "String",
"serviceType": "BrandServiceType",
"chargeableType": "BrandServiceChargeableType",
"description": "String",
"explanations": "List<String>"
}
| Name |
Type |
Description |
| name |
String |
Name of the brand-related service. |
| serviceType |
BrandServiceType BAGGAGE, SEAT_ASSIGNMENT, TRAVEL_SERVICES, MEAL_OR_BEVERAGE, FREQUENT_FLYER, MEDICAL, UNACCOMPANIED_TRAVEL, RULE_OVERRIDE, EXCHANGE, CANCELLATION,IN_FLIGHT_ENTERTAINMENT, LOUNGE, STANDBY, UPGRADES, UNKNOWN |
Type of the service offered by the brand. |
| chargeableType |
BrandServiceChargeableType INCLUDED_IN_PRICE, AVAILABLE_FOR_A_CHARGE, NOT_OFFERED |
Specifies whether the service is chargeable, free, or conditional. |
| description |
String |
Detailed description of the service. |
| explanations |
List of String |
Additional explanations or notes about the service. |
PersonPriceModel
๐ Open Full JSON Example
{
"price": "PriceInfoModel",
"fees": "List<PersonFeePriceModel>",
"taxes": "List<PersonTaxPriceModel>",
"segmentInfos": "List<SegmentPriceInfoModel>",
"type": "PassengerType",
"count": "Number"
}
| Name |
Type |
Description |
| price |
PriceInfoModel |
Detailed price breakdown including base fare, taxes, fees, and total. |
| fees |
List of PersonFeePriceModel |
List of additional fees applied for this passenger. |
| taxes |
List of PersonTaxPriceModel |
List of tax components charged for this passenger. |
| segmentInfos |
List of SegmentPriceInfoModel |
Pricing details specific to each flight segment for this passenger. |
| type |
PassengerType ADULT, CHILD, INFANT |
The passenger type. |
| count |
Number |
Number of passengers of this type included in the pricing. |
PersonFeePriceModel
| Name |
Type |
Description |
| type |
FeeType PROVIDER_FEE, SERVICE_FEE, ROUNDING_FEE, MARGIN_FEE |
The type of fee applied. |
| code |
String |
Code identifying the fee, usually from the provider or system. |
| amount |
BigDecimal |
Monetary amount of the fee. |
PersonTaxPriceModel
| Name |
Type |
Description |
| type |
TaxType PROVIDER_TAX, RULE_TAX |
The type of tax applied. |
| code |
String |
Code identifying the tax, typically defined by IATA or system. |
| amount |
BigDecimal |
Monetary amount of the tax. |
SegmentPriceInfoModel
| Name |
Type |
Description |
| segmentId |
String |
Unique identifier of the flight segment this price applies to. |
| classCode |
String Y, J, F, etc. |
Booking class code assigned to the segment. |
| fareBasisCode |
String |
Fare basis code that defines the rules of the fare. |
| cabinType |
CabinType ECONOMY, PREMIUM_ECONOMY, BUSINESS, FIRST_CLASS |
Cabin type for the segment |
| freeSeat |
Number |
Number of free seats available in this class. |
| brandName |
String |
Fare brand name associated with this segment (if available). |
| checkedBaggage |
BaggageInfoModel |
Checked baggage allowance for this segment. |
| handBaggage |
BaggageInfoModel |
Hand baggage allowance for this segment. |
PricedOfferModel
๐ Open Full JSON Example
{
"applicableOfferId": "String",
"applicableGroupKey": "String",
"totalPrice": "PriceInfoModel",
"personTotalPrices": "PersonTypePriceInfoModel",
"freeSeat": "Number",
"providerId": "Number",
"providerType": "ProviderType",
"packagePrice": "Boolean",
"priceChanged": "Boolean",
"selectedOffer": "Boolean",
"checkedBaggageInfo": "BaggageInfoModel",
"handBaggageInfo": "BaggageInfoModel",
"classCode": "String",
"fareBasis": "String",
"brandName": "String",
"cabinType": "CabinType",
"brandInfo": "BrandInfoModel",
"personPrices": "List<PersonPriceModel>",
"singlePersonPrices": "List<PersonPriceModel>",
"fareRules": "List<FareRuleModel>",
"ancillaryOffers": "List<AncillaryOfferModel>"
}
| Name |
Type |
Description |
| applicableOfferId |
String |
Unique identifier of the applicable offer. It will be used later while ticketing the selected offer. |
| applicableGroupKey |
String |
Group key used to categorize the offer. It must be the same for inbound and outbound if exists. |
| totalPrice |
PriceInfoModel |
Total price details including base, tax, and fees. |
| personTotalPrices |
PersonTypePriceInfoModel |
Total price information for the each person type. |
| freeSeat |
Number |
Number of free seats available. |
| providerId |
Number |
Identifier of the provider offering the fare. |
| providerType |
ProviderType DIRECT, GDS, DIRECT_NDC, CHARTER |
Type of the provider. |
| packagePrice |
Boolean |
Indicates if the offer is part of a package price. |
| priceChanged |
Boolean |
Specifies if the price has changed since the last request. |
| selectedOffer |
Boolean |
Marks whether this offer is currently selected. |
| checkedBaggageInfo |
BaggageInfoModel |
Details of checked baggage allowance. |
| handBaggageInfo |
BaggageInfoModel |
Details of hand baggage allowance. |
| classCode |
String |
Class code of the fare. |
| fareBasis |
String |
Fare basis code used by the airline. |
| brandName |
String |
Brand or fare family name associated with the offer. |
| cabinType |
CabinType ECONOMY, PREMIUM_ECONOMY, BUSINESS, FIRST_CLASS |
Type of the cabin. |
| brandInfo |
BrandInfoModel |
Additional information about the fare brand. |
| personPrices |
List of PersonPriceModel |
Price breakdown for each passenger type. |
| singlePersonPrices |
List of PersonPriceModel |
Price breakdown for single passenger bookings. |
| fareRules |
List of FareRuleModel |
Defines the fare rules of the offer. |
| ancillaryOffers |
List of AncillaryOfferModel |
Defines the ancillalies of the offer. |
PricedFlightModel
๐ Open Full JSON Example
{
"segments": "List<FlightSegmentModel>",
"offers": "List<PricedOfferModel>",
"direction": "DirectionType",
"totalJourneyDuration": "Duration",
"totalJourneyDurationInMinutes": "Integer"
}
| Name |
Type |
Description |
| segments |
List of FlightSegmentModel |
List of flight segments that make up the journey. |
| offers |
List of PricedOfferModel |
List of priced offers available for this flight. |
| direction |
DirectionType OUTBOUND, INBOUND |
Indicates whether the flight is outbound or inbound. |
| totalJourneyDuration |
Duration |
Total flight time. |
| totalJourneyDurationInMinutes |
Duration |
Total flight time in minutes. |
BookingFlightModel
๐ Open Full JSON Example
{
"segments": "List<FlightSegmentModel>",
"offer": "PricedOfferModel",
"reservationInfo": "ReservationInfoModel",
"direction": "DirectionType"
}
| Name |
Type |
Description |
| segments |
List of FlightSegmentModel |
List of flight segments included in the booked flight. |
| offer |
PricedOfferModel |
The priced offer selected and applied to this booking. |
| reservationInfo |
ReservationInfoModel |
Additional reservation details related to the booked flight. |
| direction |
DirectionType OUTBOUND, INBOUND |
Indicates whether the flight is outbound or inbound. |
SaleReportItemModel
๐ Open Full JSON Example
{
"bookingNumber": "String",
"creationDateTime": "LocalDateTime",
"status": "ReservationStatusType",
"type": "ServiceType",
"direction": "DirectionType",
"providerPnr": "String",
"currencyCode": "String",
"totalAmount": "Number",
"passengerSurname": "String",
"departureAirportCode": "String",
"arrivalAirportCode": "String",
"departureDate": "LocalDate",
"returnDate": "LocalDate"
}
| Name |
Type |
Description |
| bookingNumber |
String |
Unique booking number associated with the sale. |
| creationDateTime |
LocalDateTime YYYY-MM-DDTHH:MM:SS |
Date and time when the booking was created. |
| status |
ReservationStatusType NEW_CREATED, PENDING, RESERVED, TICKETED, VOID, CANCEL, REFUND, ERROR, EXCHANGED |
Current reservation status of the booking. |
| type |
ServiceType FLIGHT, NAME_CHANGE, DIVIDE_ORDER, BAGGAGE_CHANGE, UPDATE_CONTACT |
Type of service sold. |
| direction |
DirectionType OUTBOUND, INBOUND, ROUND_TRIP |
Indicates whether the journey is outbound or inbound. |
| providerPnr |
String |
Providerโs PNR. |
| currencyCode |
String USD, EUR, etc. |
Currency code used in the transaction. |
| totalAmount |
DecimalNumber |
Total amount charged for the booking. |
| passengerSurname |
String |
Surname of the lead passenger associated with the sale. |
| departureAirportCode |
String IATA Code |
Code of the departure airport. |
| arrivalAirportCode |
String IATA Code |
Code of the arrival airport. |
| departureDate |
LocalDate YYYY-MM-DD |
Date of departure for the journey. |
| returnDate |
LocalDate YYYY-MM-DD |
Date of return for the journey (if applicable). |
CancelServiceResponseModel
๐ Open Full JSON Example
{
"penaltyRatio": "Number",
"refundRatio": "Number",
"error": "ApiError",
"providerId": "Number",
"providerPnr": "String",
"cancelStatus": "CancelStatusType",
"passengers": "List<CancelPassengerModel>",
"originalTotalPrice": "PriceInfoModel",
"penaltyTotalPrice": "PriceInfoModel",
"refundTotalPrice": "PriceInfoModel",
"supporttedOperations": "List<CancelOperationType>"
}
| Name |
Type |
Description |
| penaltyRatio |
DecimalNumber |
Ratio of the penalty amount compared to the total booking price. |
| refundRatio |
DecimalNumber |
Ratio of the refundable amount compared to the total booking price. |
| error |
ApiError |
Error details if the cancel operation failed or had issues. |
| providerId |
Number |
Identifier of the provider that issued the booking. |
| providerPnr |
String |
Providerโs booking reference (PNR). |
| cancelStatus |
CancelStatusType ERROR, CANCEL, VOID, REFUND, NON_REFUNDABLE |
Current status of the cancel process. |
| passengers |
List of CancelPassengerModel |
List of passengers included in this cancel operation. |
| originalTotalPrice |
PriceInfoModel |
Original total price of the booking before cancellation. |
| penaltyTotalPrice |
PriceInfoModel |
Total penalty amount applied to the cancellation. |
| refundTotalPrice |
PriceInfoModel |
Total refund amount after penalties. |
| supporttedOperations |
List of CancelOperationType CANCEL, VOID, REFUND, NON_REFUNDABLE |
List of operations supported after this cancellation. |
ApiError
๐ Open Full JSON Example
{
"errorCode": "ErrorCodes",
"type": "ErrorType",
"responseTime": "LocalDateTime",
"status": "Number",
"details": "Object",
"requestId": "String",
"getCode": "String",
"getMessage": "String"
}
| Name |
Type |
Description |
| errorCode |
ErrorCodes |
A unique code from the predefined ErrorCodes that identifies the exact error condition. |
| type |
ErrorType GENERIC, VALIDATION, AUTHENTICATION, APPLICATION |
The classification of the error. |
| responseTime |
LocalDateTime YYYY-MM-DDTHH:MM:SS |
The timestamp when the error response was generated. |
| status |
Number |
The HTTP status code associated with the error (e.g., 400, 401, 500). |
| details |
Object |
Additional structured information about the error (can vary depending on context). |
| requestId |
String |
A unique identifier for the request, useful for tracing in logs. |
| getCode |
String |
A string representation of the error code (may duplicate or extend errorCode). |
| getMessage |
String |
A human-readable message describing the error. |
ReservationInfoModel
๐ Open Full JSON Example
{
"providerPnr": "String",
"status": "ReservationStatusType"
}
| Name |
Type |
Description |
| providerPnr |
String |
Providerโs booking reference (PNR) assigned to the reservation. |
| status |
ReservationStatusType NEW_CREATED, PENDING, RESERVED, TICKETED, VOID, CANCEL, REFUND, ERROR, EXCHANGED |
Current status of the reservation. |
CancelPassengerModel
๐ Open Full JSON Example
{
"passengerId": "Number",
"title": "PassengerTitleType",
"name": "String",
"surname": "String",
"birthDate": "LocalDate",
"gender": "GenderType",
"passengerType": "PassengerType",
"originalPrice": "PersonPriceModel",
"penaltyPrice": "PersonPriceModel",
"refundPrice": "PersonPriceModel"
}
| Name |
Type |
Description |
| passengerId |
DecimalNumber |
Unique identifier of the passenger. |
| title |
PassengerTitleType Mr, Ms, Dr, etc. |
Title of the passenger. |
| name |
String |
First name of the passenger. |
| surname |
String |
Last name of the passenger. |
| birthDate |
LocalDate YYYY-MM-DD |
Birth date of the passenger. |
| gender |
GenderType FEMALE, MALE, CHILD, INFANT |
Gender of the passenger. |
| passengerType |
PassengerType ADULT, CHILD, INFANT |
Type of passenger |
| originalPrice |
PersonPriceModel |
Original price details associated with the passenger. |
| penaltyPrice |
PersonPriceModel |
Penalty amount applied to the passenger. |
| refundPrice |
PersonPriceModel |
Refund amount calculated for the passenger. |
RouteModel
๐ Open Full JSON Example
{
"from": "String",
"to": "String",
"weekDaysNumber": "List<Numbers>",
"weekDaysText": "List<Strings>"
}
| Name |
Type |
Description |
| from |
String |
From airport. |
| to |
String |
To airport. |
| weekDaysNumber |
List of Numbers |
List of days as indexes. |
| weekDaysText |
List of Strings |
List of days as names of the days. |
SegmentScheduleChangeModel
๐ Open Full JSON Example
{
"segmentId": "String",
"newDepartureDateTime": "LocalDateTime",
"oldDepartureDateTime": "LocalDateTime",
"newArrivalDateTime": "LocalDateTime",
"oldArrivalDateTime": "LocalDateTime"
}
| Name |
Type |
Description |
| segmentId |
String |
Changed segment id. |
| newDepartureDateTime |
LocalDateTime YYYY-MM-DDTHH:MM:SS |
New departure time. |
| oldDepartureDateTime |
LocalDateTime YYYY-MM-DDTHH:MM:SS |
Old departure time. |
| newArrivalDateTime |
LocalDateTime YYYY-MM-DDTHH:MM:SS |
New arrival time. |
| oldArrivalDateTime |
LocalDateTime YYYY-MM-DDTHH:MM:SS |
Old arrival time. |
PassengerRequirementModel
๐ Open Full JSON Example
{
"requirementType": "RequirementType",
"passengerType": "PassengerType"
}
| Name |
Type |
Description |
| requirementType |
RequirementType PASSPORT_SERIAL, PASSPORT_NUMBER, PASSPORT_EXPIRE_DATE, PASSPORT_ISSUE_DATE, PASSPORT_ISSUE_COUNTRY, CITIZENSHIP_COUNTRY, IDENTITY_NUMBER, CONTACT_EMAIL, CONTACT_PHONE, BIRTHDATE, MILE_NUMBER |
Type of the reqirement. |
| passengerType |
PassengerType ADULT, CHILD, INFANT |
Type of the passenger. |
FareRuleModel
๐ Open Full JSON Example
{
"carrierCode": "String",
"fareRuleType": "FareRuleType",
"fareRules": "List<String>"
}
| Name |
Type |
Description |
| carrierCode |
String |
IATA code of the carrier. |
| fareRuleType |
FareRuleType DEFAULT, CANCELLATION, REBOOKING, IN_FLIGHT_ENTERTAINMENT, SEAT_SELECTION, MEAL_SELECTION, BAGGAGE_SELECTION |
Type of the rule. |
| fareRules |
List of String |
List of fare rules. |
AncillaryOfferModel
๐ Open Full JSON Example
{
"segmentId": "String",
"offerId": "String",
"type": "AncillaryType",
"eligiblePassengerTypes": "List<PassengerType>",
"passengerPrices": "List<AncillaryPersonPriceModel>",
"ssr": "SsrModel"
}
| Name |
Type |
Description |
| segmentId |
String |
Segment reference. |
| offerId |
String |
Offer Id of ancillary. |
| type |
AncillaryType UNKNOWN, CHECKED_BAGGAGE, CABIN_BAGGAGE, SEAT_ASSIGNMENT, SEAT_SELECTION, MEAL_OR_BEVERAGE, WHEEL_CHAIR, TRAVEL_SERVICES |
Type of the ancillary. |
| eligiblePassengerTypes |
List of PassengerType ADULT, CHILD, INFANT |
The passenger type. |
| passengerPrices |
List of AncillaryPersonPriceModel |
A list of ancillary passenger price list. |
| ssr |
SsrModel |
Ssr information of ancillary. |
AncillaryPersonPriceModel
๐ Open Full JSON Example
{
"amount": "Number",
"currencyCode": "String",
"type": "List<PassengerType>"
}
| Name |
Type |
Description |
| amount |
DecimalNumber |
Final total price of acillary for the passenger type. including base, fees, and taxes. |
| currencyCode |
String |
Offer Id of ancillary. |
| type |
List of PassengerType ADULT, CHILD, INFANT |
The passenger type. |
SsrModel
๐ Open Full JSON Example
{
"ssrCode": "String",
"ssrSubCode": "String",
"ssrName": "String",
"ssrDescriptions": "List<String>"
}
| Name |
Type |
Description |
| ssrCode |
String |
Ssr code of ancillary. |
| ssrSubCode |
String |
Ssr sub code of ancillary. |
| ssrName |
String |
Ssr name of ancillary. |
| ssrDescriptions |
List of String |
Ssr descriptions. |